Results 1 to 11 of 11

Thread: Update this morning broke something?

  1. #1
    Join Date
    2013-Sep
    Location
    /dev/null
    Posts
    21

    Update this morning broke something?

    Code:
    
    
    Reading state information... Done
    The following packages will be upgraded:
      extlinux file libmagic-dev libmagic1 libyaml-0-2 metasploit metasploit-framework nikto python-magic snmpcheck syslinux syslinux-common
    12 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    Need to get 248 MB of archives.
    
    
    
    
    .................
    
    
    Unpacking replacement metasploit ...
    Preparing to replace nikto 1:2.1.5-5 (using .../nikto_1%3a2.1.6-0kali1_all.deb) ...
    Unpacking replacement nikto ...
    Preparing to replace snmpcheck 1.8-1kali2 (using .../snmpcheck_1.8-1kali3_all.deb) ...
    Unpacking replacement snmpcheck ...
    Processing triggers for man-db ...
    Setting up libmagic1:i386 (5.11-2+deb7u3) ...
    Setting up python-magic (5.11-2+deb7u3) ...
    Setting up file (5.11-2+deb7u3) ...
    Setting up libmagic-dev:i386 (5.11-2+deb7u3) ...
    Setting up libyaml-0-2:i386 (0.1.4-2+deb7u4) ...
    Setting up syslinux-common (3:6.03~pre1+dfsg-1kali3) ...
    Setting up syslinux (3:6.03~pre1+dfsg-1kali3) ...
    Setting up extlinux (3:6.03~pre1+dfsg-1kali3) ...
    P: Checking for EXTLINUX directory... found.
    /boot/vmlinuz-3.10-3-686-pae  /boot/vmlinuz-3.12-kali1-686-pae	/boot/vmlinuz-3.7-trunk-686-pae
    P: Writing config for /boot/vmlinuz-3.12-kali1-686-pae...
    P: Writing config for /boot/vmlinuz-3.10-3-686-pae...
    P: Writing config for /boot/vmlinuz-3.7-trunk-686-pae...
    P: Updating /boot/extlinux/linux.cfg...
    I: os-proper disabled in /etc/default/extlinux: Skipping /boot/extlinux/os-proper.cfg
    E: /usr/share/EXTLINUX/themes/debian: No such file or directory
    dpkg: error processing extlinux (--configure):
     subprocess installed post-installation script returned error exit status 1
    Setting up metasploit-framework (4.9.0-2014032601-1kali0) ...
    Setting up metasploit (4.9.0-2014032601-1kali0) ...
    insserv: warning: current start runlevel(s) (empty) of script `metasploit' overrides LSB defaults (2 3 4 5).
    insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `metasploit' overrides LSB defaults (0 1 6).
    Setting up nikto (1:2.1.6-0kali1) ...
    Installing new version of config file /etc/nikto.conf ...
    Setting up snmpcheck (1.8-1kali3) ...
    Errors were encountered while processing:
     extlinux
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Afraid to reboot in case i cant boot it back up again, i do not know what extlinux even is.



    Code:
    root@VirtKali:~# dpkg --configure -a
    Setting up extlinux (3:6.03~pre1+dfsg-1kali3) ...
    P: Checking for EXTLINUX directory... found.
    /boot/vmlinuz-3.10-3-686-pae  /boot/vmlinuz-3.12-kali1-686-pae	/boot/vmlinuz-3.7-trunk-686-pae
    P: Writing config for /boot/vmlinuz-3.12-kali1-686-pae...
    P: Writing config for /boot/vmlinuz-3.10-3-686-pae...
    P: Writing config for /boot/vmlinuz-3.7-trunk-686-pae...
    I: os-proper disabled in /etc/default/extlinux: Skipping /boot/extlinux/os-proper.cfg
    E: /usr/share/EXTLINUX/themes/debian: No such file or directory
    dpkg: error processing extlinux (--configure):
     subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
     extlinux
    
    
    
    root@VirtKali:~# apt-get -f install
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages were automatically installed and are no longer required:
      libmozjs22d python-apsw syslinux-themes-debian syslinux-themes-debian-wheezy xulrunner-22.0
    Use 'apt-get autoremove' to remove them.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    1 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Setting up extlinux (3:6.03~pre1+dfsg-1kali3) ...
    P: Checking for EXTLINUX directory... found.
    /boot/vmlinuz-3.10-3-686-pae  /boot/vmlinuz-3.12-kali1-686-pae	/boot/vmlinuz-3.7-trunk-686-pae
    P: Writing config for /boot/vmlinuz-3.12-kali1-686-pae...
    P: Writing config for /boot/vmlinuz-3.10-3-686-pae...
    P: Writing config for /boot/vmlinuz-3.7-trunk-686-pae...
    I: os-proper disabled in /etc/default/extlinux: Skipping /boot/extlinux/os-proper.cfg
    E: /usr/share/EXTLINUX/themes/debian: No such file or directory
    dpkg: error processing extlinux (--configure):
     subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
     extlinux
    
    ^C
    
    
    
    
    root@VirtKali:~# apt-get update && apt-get dist-upgrade
    
    
    ..............................
    
    
          
    Reading state information... Done
    Calculating upgrade... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    1 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Setting up extlinux (3:6.03~pre1+dfsg-1kali3) ...
    P: Checking for EXTLINUX directory... found.
    /boot/vmlinuz-3.10-3-686-pae  /boot/vmlinuz-3.12-kali1-686-pae	/boot/vmlinuz-3.7-trunk-686-pae
    P: Writing config for /boot/vmlinuz-3.12-kali1-686-pae...
    P: Writing config for /boot/vmlinuz-3.10-3-686-pae...
    P: Writing config for /boot/vmlinuz-3.7-trunk-686-pae...
    I: os-proper disabled in /etc/default/extlinux: Skipping /boot/extlinux/os-proper.cfg
    E: /usr/share/EXTLINUX/themes/debian: No such file or directory
    dpkg: error processing extlinux (--configure):
     subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
     extlinux
    
    
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    root@VirtKali:~#

    What should i do?


    Code:
    root@VirtKali:~# uname -a
    Linux VirtKali 3.12-kali1-686-pae #1 SMP Debian 3.12.6-2kali1 (2014-01-06) i686 GNU/Linux
    Virtualbox 4.2.18 R88780
    Last edited by 11552; 2014-04-07 at 15:50. Reason: added release name

  2. #2
    Join Date
    2014-Mar
    Posts
    6
    I had the same issue, and got it fixed.

    I don't recall the exact order of steps but they were like

    - removing extlinux
    - apt-get auto-remove the other packages
    - reinstalling extlinux
    - reinstalling those removed packages
    - apt-get install for all the packages that are shown to not have been upgraded yet (run apt-get upgrade to confirm these packages)

  3. #3
    Join Date
    2013-Mar
    Posts
    354
    What did you do to upgrade?...Need to be more specific as to what commands you issued to upgrade.

    I've done many upgrades to kali and never have had any issues...

  4. #4
    Join Date
    2014-Mar
    Posts
    2
    I have the same issue. Did nothing but a simple update and upgrade command.

    Code:
    apt-get update && apt-get upgrade
    
    .......
    
    
    Setting up extlinux (3:6.03~pre1+dfsg-1kali3) ...
    P: Checking for EXTLINUX directory... found.
    /boot/vmlinuz-3.12-kali1-amd64
    P: Writing config for /boot/vmlinuz-3.12-kali1-amd64...
    I: os-proper disabled in /etc/default/extlinux: Skipping /boot/extlinux/os-proper.cfg
    E: /usr/share/EXTLINUX/themes/debian: No such file or directory
    dpkg: error processing extlinux (--configure):
     subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
     extlinux
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    Code:
    uname -a
    Linux kali 3.12-kali1-amd64 #1 SMP Debian 3.12.6-2kali1 (2014-01-06) x86_64 GNU/Linux
    Code:
    dpkg --configure -a
    Setting up extlinux (3:6.03~pre1+dfsg-1kali3) ...
    P: Checking for EXTLINUX directory... found.
    /boot/vmlinuz-3.12-kali1-amd64
    P: Writing config for /boot/vmlinuz-3.12-kali1-amd64...
    I: os-proper disabled in /etc/default/extlinux: Skipping /boot/extlinux/os-proper.cfg
    E: /usr/share/EXTLINUX/themes/debian: No such file or directory
    dpkg: error processing extlinux (--configure):
     subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
     extlinux

  5. #5
    Join Date
    2013-Sep
    Location
    /dev/null
    Posts
    21
    Tried again today, still broken.. I'm using virtualbox and 32bit Kali. I'm an OFFSEC student, so the faster this gets fixed the faster i can get back to work. Removing exlinux may be a bad idea as it has something to do with grub and the kernel(i think) i dont want to remove it in case the whole thing breaks, ill have to start my VM all over again


    apt-get update && apt-get -y upgrade:


    Code:
    Reading state information... Done
    The following packages have been kept back:
      w3af
    The following packages will be upgraded:
      aircrack-ng openssh-client openssh-server w3af-console
    4 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
    1 not fully installed or removed.
    Need to get 27.3 MB of archives.
    After this operation, 18.6 MB disk space will be freed.
    Get:1 http://http.kali.org/ /kali/main aircrack-ng i386 1.2-beta3-0kali1 [770 kB]
    Get:2 http://security.kali.org/kali-security/ kali/updates/main openssh-server i386 1:6.0p1-4+deb7u1 [343 kB]
    Get:3 http://security.kali.org/kali-security/ kali/updates/main openssh-client i386 1:6.0p1-4+deb7u1 [1,046 kB]
    Get:4 http://http.kali.org/ /kali/main w3af-console all 1.6.0.1-0kali2 [25.1 MB]
    Fetched 27.3 MB in 19s (1,402 kB/s)                                                      
    Reading changelogs... Done
    Preconfiguring packages ...
    (Reading database ... 406125 files and directories currently installed.)
    Preparing to replace openssh-server 1:6.0p1-4 (using .../openssh-server_1%3a6.0p1-4+deb7u1_i386.deb) ...
    Unpacking replacement openssh-server ...
    Preparing to replace openssh-client 1:6.0p1-4 (using .../openssh-client_1%3a6.0p1-4+deb7u1_i386.deb) ...
    Unpacking replacement openssh-client ...
    Preparing to replace aircrack-ng 1.2-beta2+0~svn2371+ts1392788601-1 (using .../aircrack-ng_1.2-beta3-0kali1_i386.deb) ...
    Unpacking replacement aircrack-ng ...
    Preparing to replace w3af-console 1.5+0~git1392443213.33d1f0-1 (using .../w3af-console_1.6.0.1-0kali2_all.deb) ...
    Unpacking replacement w3af-console ...
    Processing triggers for man-db ...
    Setting up extlinux (3:6.03~pre1+dfsg-1kali3) ...
    P: Checking for EXTLINUX directory... found.
    /boot/vmlinuz-3.10-3-686-pae	  /boot/vmlinuz-3.7-trunk-686-pae
    /boot/vmlinuz-3.12-kali1-686-pae
    P: Writing config for /boot/vmlinuz-3.12-kali1-686-pae...
    P: Writing config for /boot/vmlinuz-3.10-3-686-pae...
    P: Writing config for /boot/vmlinuz-3.7-trunk-686-pae...
    I: os-proper disabled in /etc/default/extlinux: Skipping /boot/extlinux/os-proper.cfg
    E: /usr/share/EXTLINUX/themes/debian: No such file or directory
    dpkg: error processing extlinux (--configure):
     subprocess installed post-installation script returned error exit status 1
    Setting up openssh-client (1:6.0p1-4+deb7u1) ...
    Setting up openssh-server (1:6.0p1-4+deb7u1) ...
    insserv: warning: current start runlevel(s) (empty) of script `ssh' overrides LSB defaults (2 3 4 5).
    insserv: warning: current stop runlevel(s) (2 3 4 5) of script `ssh' overrides LSB defaults (empty).
    Setting up aircrack-ng (1.2-beta3-0kali1) ...
    Setting up w3af-console (1.6.0.1-0kali2) ...
    Errors were encountered while processing:
     extlinux
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  6. #6
    Join Date
    2014-Mar
    Posts
    163
    i had that problem too , after looking over the net , i found that the problem could be related to an incomplete instalation .
    check your sources.list in "/etc/apt/sources.list"
    leave only these sources :
    deb http://http.kali.org/kali kali main non-free contrib
    deb http://security.kali.org/kali-security kali/updates main contrib non-free
    deb-src http://http.kali.org/kali kali main non-free contrib
    deb-src http://security.kali.org/kali-security kali/updates main contrib non-free

    and place a # before the other line sources .

    then execute : apt-get autoremove

    and then after that execute : apt-get update && apt-get upgrade

    i solved my issue like that

  7. #7
    Join Date
    2014-Apr
    Posts
    1
    I suppose I caught the same problem after executing apt-get update and apt-get upgrade commands with additional troubles:
    1) there are no network devices except lo now
    2) GUI doesn't work, it doesnt start automatically after booting system and when a try command X, it shows black screen and dont react to any key
    3) it doesnt see USB-drive when I connect it to PC
    I am newbie in administrating Debian but the whole day googling hasn't helped, so can anyone explain why I have this problem and how solve it?

  8. #8
    Join Date
    2014-Mar
    Posts
    163
    i had that issue before what you have now Snowman , and i re-installed everything .
    I know what you are speaking .
    Try this :
    start grub in kali recovery mode :
    on the terminal write :
    "apt-get autoremove"

    after the completation of the command , reboot system and try enter kali in normal mode to see if it fixes .

    I had that extlinux issue last night again and i fixed it that way .

  9. #9
    Join Date
    2014-Mar
    Posts
    2
    Quote Originally Posted by pedropt View Post
    i had that problem too , after looking over the net , i found that the problem could be related to an incomplete instalation .
    check your sources.list in "/etc/apt/sources.list"
    leave only these sources :
    deb http://http.kali.org/kali kali main non-free contrib
    deb http://security.kali.org/kali-security kali/updates main contrib non-free
    deb-src http://http.kali.org/kali kali main non-free contrib
    deb-src http://security.kali.org/kali-security kali/updates main contrib non-free

    and place a # before the other line sources .

    then execute : apt-get autoremove

    and then after that execute : apt-get update && apt-get upgrade

    i solved my issue like that
    This solved my problem aswell.

    Thank you.

  10. #10
    Join Date
    2014-Apr
    Posts
    1
    Thanks! this resolve my problem

  11. #11
    Join Date
    2013-Sep
    Location
    /dev/null
    Posts
    21
    Quote Originally Posted by pedropt View Post
    i had that problem too , after looking over the net , i found that the problem could be related to an incomplete instalation .
    check your sources.list in "/etc/apt/sources.list"
    leave only these sources :
    deb http://http.kali.org/kali kali main non-free contrib
    deb http://security.kali.org/kali-security kali/updates main contrib non-free
    deb-src http://http.kali.org/kali kali main non-free contrib
    deb-src http://security.kali.org/kali-security kali/updates main contrib non-free

    and place a # before the other line sources .

    then execute : apt-get autoremove

    and then after that execute : apt-get update && apt-get upgrade

    i solved my issue like that


    Just like the others, this solved my issue as well. Thank you so much !


    Heres what my sources.list looks like now. I had a bit too many repos heh


    Code:
    
    #deb http://http.kali.org/ /kali main contrib non-free
    #deb http://http.kali.org/ /wheezy main contrib non-free
    #deb http://http.kali.org/kali kali main contrib non-free
    #deb http://http.kali.org/kali kali main/debian-installer
    #deb http://http.kali.org/kali kali-dev main contrib non-free
    #deb http://http.kali.org/kali kali-dev main/debian-installer
    #deb-src http://http.kali.org/kali kali main non-free contrib
    #deb-src http://http.kali.org/kali kali-dev main contrib non-free
    #deb http://security.kali.org/kali-security kali/updates main contrib non-free
    #deb-src http://security.kali.org/kali-security kali/updates main contrib non-free
    #deb http://repo.kali.org/kali kali-bleeding-edge main
    
    
    deb http://http.kali.org/kali kali main non-free contrib
    deb http://security.kali.org/kali-security kali/updates main contrib non-free
    deb-src http://http.kali.org/kali kali main non-free contrib
    deb-src http://security.kali.org/kali-security kali/updates main contrib non-free

Similar Threads

  1. Replies: 1
    Last Post: 2017-03-03, 14:06
  2. Metasploit broke after attempting to update
    By ModernTech in forum TroubleShooting Archive
    Replies: 3
    Last Post: 2016-09-30, 11:34
  3. Update broke armitage/metasploit
    By R1v3r in forum TroubleShooting Archive
    Replies: 0
    Last Post: 2015-06-29, 23:18
  4. Metasploit Broke with Update.
    By Malachai in forum General Archive
    Replies: 10
    Last Post: 2014-02-04, 18:00

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •